---
title: 429 Too Many Requests
slug: Web/HTTP/Status/429
tags:
  - Client error
  - HTTP
  - HTTP Status Code
  - Reference
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <code><strong>429 Too Many Requests</strong></code> response status code indicates the user has sent too many requests in a given amount of time ("rate limiting").</p>

<p>A {{HTTPHeader("Retry-After")}} header might be included to this response indicating how long to wait before making a new request.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">429 Too Many Requests</pre>

<h2 id="Example">Example</h2>

<pre class="notranslate">HTTP/1.1 429 Too Many Requests
Content-Type: text/html
Retry-After: 3600</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("6585", "429 Too Many Requests" , "4")}}</td>
   <td>Additional HTTP Status Codes</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Retry-After")}}</li>
 <li><a href="https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html" rel="noopener">HTTP/1.1: Status Code Definitions</a></li>
 <li>Python solution: <a href="https://stackoverflow.com/questions/22786068/how-to-avoid-http-error-429-too-many-requests-python">How to avoid HTTP error 429 python</a></li>
</ul>
